(5)

Live Link Substance Painter - Unity

Allegorithmic

PluginsSubstance Painter

These plugins allows to create a persistent link between Substance Painter and Unity.

Please note this plugin is currently in Developer Preview:
- it works only with the default PBR shader of Unity
- it may not work in some cases with some meshes

It requires Substance Painter 2017.4 or above.

Uploaded: 5 months ago
Updated: 15 days ago
Version: 3
File Name: SP_Unity_Link_plugin.zip
Size: 111 KB

DownloadblackDOWNLOAD



DISCUSS

Thanks!! Downloading the update now can't wait to test this!! <3 You all rock !


5 months ago

Any plans for blender cycles? ^_^


5 months ago

Live Link for Unreal Engine?


5 months ago

Live Link for Gameboy Colour?


5 months ago

Any chance of better documentation for this? Half the time it doesn't work and I have no idea why.


5 months ago

@FoundationsofPause the latest update of blender currently in beta of 31/7/2017 will utilise a cycles shader which is 100% physically based and will allow you to use both specular setups and metal


5 months ago

OOoo Updated 1 day ago :)))


4 months ago

When you guy build to iOS game on OSX that sometime result of failure because using UnityEditor name space those could not find ... So I just repack to some scripts. Just wrapping to #if UNITY_EDITOR #endif

https://github.com/leegoonz/substancepainterlinkbuildpatch


5 months ago

Blender, please


5 months ago

@JackAida, Yes PBR shaders have worked in cycles for over a year but what I'm asking is something that upon painter exporting the very image nodes connect themselves, very repetitive thing to do 100,000+ times. I'm still looking into a python fix but all I can do is boss people around.


5 months ago

Can't get to work. Some better documentation would be great. A quick video would be even greater!


5 months ago

Hi I am sorry but it is not work for me. I got this error massage:
[Script] file:///C:/Users/Ticor/Documents/Substance Painter 2/plugins/unity-link/main.qml:184:3: Cannot assign to non-existent property "onComputationStatusChanged"


5 months ago

Looks awesome, but I need for Unreal please?


4 months ago

Unity 5.4.1f3 : Assets/allegorithmic/Scripts/MeshLinkEditor.cs(21,32): error CS0246: The type or namespace name `WebSocketSharp' could not be found. Are you missing a using directive or an assembly reference?
help me~~~!


4 months ago

Hey everyone, I'm using Unity 5.5.2p4 on a Windows PC (set to iOS platform) and when I import the Unity package I get the following error (even on a new project):

Assets/allegorithmic/Scripts/MeshLinkEditor.cs(21,18): error CS0246: The type or namespace name `WebSocketSharp' could not be found. Are you missing an assembly reference?

Anyone else had this and fixed it?

Scott


4 months ago

@Allegorithmic,Can unity5.4.1f3 be used?Error:Assets/allegorithmic/Scripts/MeshLinkEditor.cs(21,32): error CS0246: The type or namespace name `WebSocketSharp' could not be found. Are you missing a using directive or an assembly reference?


4 months ago

@Allegorithmic,Sorry,it is 5.4.1p1


4 months ago

Hey guys, great tool, this should really improve the workflow for unity users ! I'm sure this is considered/mentioned already, but will we be able to transfer textures along with FBX files to painter ?


4 months ago

this is awesome


4 months ago

So i get this "[Plugin - unity-link] Exception TypeError: Cannot read property 'materials' of undefined (.......Allegorithmic/Substance Painter/plugins/unity-link/main.qml line 240)" when I try and use link........


4 months ago

Really cool plugin, works fine. Is it possible to make it work with standart (specular) shader?


2 months ago

Unity 5.4.1f3 : Assets/allegorithmic/Scripts/MeshLinkEditor.cs(21,32): error CS0246: The type or namespace name `WebSocketSharp' could not be found. Are you missing a using directive or an assembly reference?

So if you get that error go into the plugins folder, look at websocket-sharp in the inspector. Tick any platform and then untick editor and standalone. Apply and your good.


about 2 months ago

I have this problem

[Plugins] unity-link plugin requires 1.0.6 API version or higher while current version is 1.0.5. Please upgrade your Substance Painter version to use this plugin.

Of course my Substance Painter is the latest version, so somebody may know how to fix it?


about 1 month ago

It is t3h awesomeness! Worked out of the box and establishes a super convenient and fast workflow. What I'd wish for would be to specify the export path instead of having a hardcoded SP_Textures in the script. And an option to store the textures relative to the mesh instead of a dedicated folder for SP textures.


14 days ago

I don't see the plug in to substance painter. I just got the plug in for Unity


5 days ago

First off I'd love to say I love the plugin! But there's one big problem with it I am having (Unity 2017.2.0f3)
Every time I run a build for my game, errors out 7 errors about UnityEngine errors.

Unless I'm not supposed to use this to build my game with, but rather a separate project to make sure I'm getting proper lighting, etc.

But nevertheless, despite that minor annoyance, I love the plugin!


2 months ago

Really enjoying this so far! It'd be fantastic if it added the AO map as well